Help

0

Unable to update modules

Avatar
Laurent Dinclaux

Hello,

A customer contacted me because of issues updating modules. He is not able to tell me which action he has taken prior to facing the issue.

When trying to update using a SuperAdmin account, an error is shown. In the web console the full error log is: (no error in odoo log file)

Server application error
 Error code: 200 
 Error message: Odoo Server Error 
 Error data message:
 Sorry, you are not allowed to access documents of type 'Attachment' (ir.attachment). This operation is allowed for the groups:
    - User types/Internal User - (Operation: read, User: 4)
None 
 Error data debug:
 Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/api.py", line 745, in get
    value = self._data[field][record._ids[0]]
KeyError: 60701

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 996, in __get__
    value = env.cache.get(record, self)
  File "/home/odoo/src/odoo/13.0/odoo/api.py", line 751, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('loempia.module(60701,).image_ids', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/tools/cache.py", line 85, in lookup
    r = d[key]
  File "/home/odoo/src/odoo/13.0/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.access', <function IrModelAccess.check at 0x7f49da3a4950>, 4, False, 'ir.attachment', 'read', True, ('fr_FR',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 1003, in __get__
    recs._fetch_field(self)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 2935, in _fetch_field
    self._read(fnames)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 3035, in _read
    field.read(fetched)
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 2869, in read
    lines = comodel.search(domain, limit=self.limit)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 1609, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/home/odoo/src/odoo/13.0/addons/calendar/models/ir_attachment.py", line 21, in _search
    return super(Attachment, self)._search(args, offset=offset, limit=limit, order=order, count=count, access_rights_uid=access_rights_uid)
  File "/home/odoo/src/odoo/13.0/odoo/addons/base/models/ir_attachment.py", line 410, in _search
    count=False, access_rights_uid=access_rights_uid)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 4364, in _search
    model.check_access_rights('read')
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 3204, in check_access_rights
    return self.env['ir.model.access'].check(self._name, operation, raise_exception)
  File "<decorator-gen-22>", line 2, in check
  File "/home/odoo/src/odoo/13.0/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/addons/base/models/ir_model.py", line 1548, in check
    raise AccessError(msg % msg_params)
odoo.exceptions.AccessError: ("Sorry, you are not allowed to access documents of type 'Attachment' (ir.attachment). This operation is allowed for the groups:\n\t- User types/Internal User - (Operation: read, User: 4)", None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/tools/cache.py", line 85, in lookup
    r = d[key]
  File "/home/odoo/src/odoo/13.0/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.access', <function IrModelAccess.check at 0x7f49da3a4950>, 4, False, 'ir.attachment', 'read', True, ('fr_FR',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 619, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 309, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/home/odoo/src/odoo/13.0/odoo/tools/pycompat.py", line 14, in reraise
    raise value
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 664, in dispatch
    result = self._call_function(**self.params)
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 345, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/service/model.py", line 93, in wrapper
    return f(dbname, *args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 338, in checked_call
    result = self.endpoint(*a, **kw)
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 910, in __call__
    return self.method(*args, **kw)
  File "/home/odoo/src/odoo/13.0/odoo/http.py", line 510, in response_wrap
    response = f(*args, **kw)
  File "/home/odoo/src/custom/private/loempia/controllers/embed.py", line 96, in update
    'ico': module.image_ids and '/apps/module_image?image_id=%s' % module.image_ids[0].id or '',
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 2246, in __get__
    return super().__get__(records, owner)
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 1005, in __get__
    record._fetch_field(self)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 2935, in _fetch_field
    self._read(fnames)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 3035, in _read
    field.read(fetched)
  File "/home/odoo/src/odoo/13.0/odoo/fields.py", line 2869, in read
    lines = comodel.search(domain, limit=self.limit)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 1609, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/home/odoo/src/odoo/13.0/addons/calendar/models/ir_attachment.py", line 21, in _search
    return super(Attachment, self)._search(args, offset=offset, limit=limit, order=order, count=count, access_rights_uid=access_rights_uid)
  File "/home/odoo/src/odoo/13.0/odoo/addons/base/models/ir_attachment.py", line 410, in _search
    count=False, access_rights_uid=access_rights_uid)
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 4364, in _search
    model.check_access_rights('read')
  File "/home/odoo/src/odoo/13.0/odoo/models.py", line 3204, in check_access_rights
    return self.env['ir.model.access'].check(self._name, operation, raise_exception)
  File "<decorator-gen-22>", line 2, in check
  File "/home/odoo/src/odoo/13.0/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/home/odoo/src/odoo/13.0/odoo/addons/base/models/ir_model.py", line 1548, in check
    raise AccessError(msg % msg_params)
odoo.exceptions.AccessError: ("Sorry, you are not allowed to access documents of type 'Attachment' (ir.attachment). This operation is allowed for the groups:\n\t- User types/Internal User - (Operation: read, User: 4)", None)

Avatar
Discard
6 Answers
0
Avatar
Stephan Keller
Best Answer

Hello,

this issue has been reported on Github (https://github.com/odoo/odoo/issues/48388).

My technically view:

It seems like a request to https://apps.odoo.com/apps/embed/update is failing. Maybe the website (Odoo backend server) has been updated to Odoo 13 and there is a configuration problem on this site/endpoint with the "loempia" module.

After installation of (at least) one outdated addon/module the error appears after hitting the Updates button in the menu (tested with Odoo 12 and Odoo 13 docker image locally)

Avatar
Discard
0
Best Answer

Hello laurent, 

First of all make sure user from which you are Updating extension have sufficient permission

Else, as per log

It seems like below code causing the issue, 


"/home/odoo/src/custom/private/loempia/controllers/embed.py", line 96, in update

    'ico': module.image_ids and '/apps/module_image?image_id=%s' % module.image_ids[0].id or ''


Kindly try to replace this line with this line

'ico': module.sudo().image_ids and '/apps/module_image?image_id=%s' % module.sudo().image_ids[0].id or ''

Thanks

Anisha Bahukhandi

Technical Content Writer

Webkul

Avatar
Discard
0
Avatar
Ahmed elghazaly
Best Answer

same here and I'm superadmin!!

Avatar
Discard
0
Best Answer

I have the same issue!

Avatar
Discard
0
Avatar
Laurent Dinclaux
Best Answer

Thanks.

Please can you tell me how to do so ? I don't know Odoo very well, I've been called to the rescue as I am a sysadmin and developer.

Avatar
Discard
0
Avatar
Mustufa Rangwala
Best Answer

Hello,

I think some of record rule of ir.attachment causing issue at your end. Since you are login with superadmin it should not happen. Can you check record rule of ir.attachment object.

Regards.

Mustufa Rangwala

Avatar
Discard